# SafePI 1.0

SafePI is an expansion board for RaspberryPI 1 model B, 2B or 3 providing power supply protection and safe shutdown
by using 4 common available AA rechargeable Ni-MH batteris

Soon available for purchase on [Nexlab Shop](https://www.nexlab.net/product/safepi)

If you like Safepi you can [donate via paypal](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=JAG8498L9N8NJ) or using bitcoin to 1ABepVhyYuZNxiMQe8atPi4tRJZKkpRDqb

## Features

 * It notify the Raspberry when primary power is absent on a configurable GpIO (pin 36 or 38) and then give enough time to shutdown from the batteries. 
 * When the RPi is on and the primary power is connected, it recharge the batteries.
 * It provide safe voltage regulator giving the ability to power the RPi from 7V to 25V. 
 * Battery drain when switched off if minimal (less than 10mA/h)

![SafePI 1.0](safepi1.jpg)
![SafePI 1.0](safepi2.jpg)
![SafePI 1.0](safepi3.jpg)
![SafePI 1.0](Safepi.jpg)
